from django.test import SimpleTestCase
from sms_service import SMSService


class SMSServiceTestCase(SimpleTestCase):
    """ """
    def setUp(self):
        """ """
        self.sms_service = SMSService()
        self.sms_service.debug = True

    def test_send_message(self):
        """ """
        message = self.sms_service.send_message("", "")
        self.assertEqual(message, "Success Message")

    def test_send_messages(self):
        """ """
        message = self.sms_service.send_messages([], "")
        self.assertEqual(message, ["Success Message", "Fail Message"])

    def test_get_message_status(self):
        """ """
        status = self.sms_service.get_message_status("")
        self.assertEqual(status, "sended")

    def test_get_message_report(self):
        """ """
        report = self.sms_service.get_message_report("")
        self.assertEqual(report, "report")
