from evote.settings.staging import *  # noqa
from evote.settings.management import *  # noqa


ALLOWED_HOSTS = ['evote-manage.uminho-dev.local']

# Django Site identification
SITE_ID = 5

# ADFS AUTH (WS-Fed Sign-In Protocol)
ADFS_WSFED_CONFIG = {
    'url': 'https://auth.uminho-dev.local/adfs/ls/',
    'wtrealm': 'urn:uminho:evotum-manage',
    'cert': os.path.join(PROJECT_DIR, '..', 'data', 'certs', 'cert.pem'),  # noqa
    'claim_mapping': {'nome': 'name',
                      'upn': 'email',
                      'fotografia': 'photo',
                      'telemovel': 'primary_phone'},
    "template_fail": 'management/signin_fail.html',
    "post_response": "wresult",
}
