from tempfile import NamedTemporaryFile

from django.utils.translation import ugettext as _

from evotemailings.mailings import BaseMailing


class MembersKeysNotificationMail(BaseMailing):
    """ """
    template_name = 'management/mails/members_keys_notification.html'
    subject = _('Evote: Members keys')

    def get_attachments(self):
        key = self.get_context_data()['key']
        f = NamedTemporaryFile()
        f.write(key)
        f.seek(0)
        attachment = open(f.name, 'rb')
        return [('key.jwt', attachment.read(), 'text/plain')]
