from __future__ import unicode_literals

from django.test import TestCase

from evotevotings.voters.tests.utils import VotersTestUtils
from evoteusers.tests.utils import UserTestUtils


class VotersTestCase(UserTestUtils, VotersTestUtils, TestCase):

    def login_as_voter(self):
        credentials = {
            "email": "dev@eurotux.com",
            "password": "password"
        }
        self.voter = self.create_election_voter(**credentials)
        self.client.login(**credentials)
        return credentials
