from evotevotings.services.routers import ASrouter


def get_references(election_id=None, page=1, search=None):
    """ Method to search vote references through
    the Anonymizer Service """
    # List to hold the returned references
    references = []
    more = False
    # Sanity check
    if election_id is None:
        return (references, more)
    # Connect to the Anonymizer Service
    try:
        as_router = ASrouter()
        (references, more) = as_router.list_references(
                                election_id,
                                page,
                                search)

    except Exception as e:
        # TODO: Log
        print e

    return (references, more)
