from contrib.umws.umws_service import UMWebService

# Dummy data to simulate the response of WS of DTSI
dummy_data = {
    'username': 'dev@eurotux.com',
    'phone': '+351912233441',
    'name': 'Dev test'
}


class MembersService(UMWebService):
    """ """
    settings_name = "MEMBERS_SERVICE_CONFIG"

    def is_email_valid(self, email):
        """ """
        if self.in_debug():
            return True
        client = self.get_client()
        return client.IsEmailValid(email)

    def get_contact_info_by_email(self, email):
        """ """
        if self.in_debug():
            if email == "unknown@eurotux.com":
                return {}
            return dummy_data  # FIXME missing info
        client = self.get_client()
        return client.GetContactInfoByEmail(email)

    def get_contact_info_by_login(self, login):
        """ """
        if self.in_debug():
            if login == "unknown":
                return {}
            return dummy_data  # FIXME missing info
        client = self.get_client()
        return client.GetContactInfoByLogin(login)


members_service = MembersService()
