from django.test import SimpleTestCase
from members_service import MembersService, dummy_data


class MembersServiceTestCase(SimpleTestCase):
    """ """
    def setUp(self):
        """ """
        self.members_service = MembersService()
        self.members_service.debug = True

    def test_is_email_valid(self):
        """ """
        valid = self.members_service.is_email_valid("")
        self.assertEqual(valid, True)

    def test_get_contact_info_by_email(self):
        """ """
        contact = self.members_service.get_contact_info_by_email("")
        self.assertEqual(contact, dummy_data)

    def test_get_contact_info_by_login(self):
        """ """
        contact = self.members_service.get_contact_info_by_login("")
        self.assertEqual(contact, dummy_data)
