from contrib.umws.umws_service import UMWebService


class SMSService(UMWebService):
    """ """
    settings_name = "SMS_SERVICE_CONFIG"

    def send_message(self, number, message, anonymous=False):
        """ """
        if self.in_debug():
            return "Success Message"
        client = self.get_client()
        return client.SendMessage(number, message, anonymous)

    def send_messages(self, numbers, message, anonymous=False):
        """ """
        if self.in_debug():
            return ["Success Message", "Fail Message"]  # FIXME missing info
        client = self.get_client()
        return client.SendMessages(numbers, message, anonymous)

    def get_message_status(self, msgid):
        """ """
        if self.in_debug():
            return "sended"  # FIXME missing info
        client = self.get_client()
        return client.GetMessageStatus(msgid)

    def get_message_report(self, msgid):
        """ """
        if self.in_debug():
            return "report"  # FIXME missing info
        client = self.get_client()
        return client.GetMessageReport(msgid)


sms_service = SMSService()
