from evote.settings.production import *  # noqa
from evote.settings.admin import *  # noqa


ALLOWED_HOSTS = ['admin.evote.com']

# Django Site identification
SITE_ID = 9

# ADFS AUTH (WS-Fed Sign-In Protocol)
ADFS_WSFED_CONFIG = {
    'url': 'https://login.uminho.pt/adfs/ls/',
    'wtrealm': 'urn:uminho:evotum-admin',
    'cert': os.path.join(PROJECT_DIR, '..', 'data', 'certs', 'cert.pem'),  # noqa
    'claim_mapping': {'nome': 'name',
                      'upn': 'email',
                      'fotografia': 'photo',
                      'telemovel': 'primary_phone'},
    "template_fail": 'evoteadmin/signin_fail.html',
    "post_response": "wresult",
}
