

def add_errors_prefix_form(errors, prefix):
    return {"%s-%s" % (prefix, k): v for k, v in errors.items()}


def add_errors_prefix_formset(errors, prefix):
    prefixed_errors = {}
    for index, form_errors in enumerate(errors):
        prefixed_errors.update(
            add_errors_prefix_form(form_errors, "{}-{}".format(prefix, index)))
    return prefixed_errors
