"""Evotecore URL configuration."""

from django.conf.urls import url

from .views import DemoView, HomepageView

from evotevotings.admin.views import PageDetailView


app_name = "evotecore"

urlpatterns = [
    url(
        regex=r'^$',
        view=HomepageView.as_view(),
        name="index"
    ),
    url(
        regex=r'^demo/$',
        view=DemoView.as_view(),
        name="demo"
    ),
    url(
        regex=r'page/(?P<slug>[-\w]+)/$',
        view=PageDetailView.as_view(),
        name="page-detail"
    ),
]
