from .registers import recipient_register
from .recipients import BaseRecipient


def recipients(klass):

    if not issubclass(klass, BaseRecipient):
            raise ValueError('Wrapped class must subclass BaseRecipient')

    recipient_register.add(klass)

    return klass
