from django.utils.translation import ugettext as _

from evotemailings.mailings import BaseMailing


class PropositionBeginNotificationMail(BaseMailing):
    """ """
    template_name = 'mails/proposition_begin_notification.html'
    subject = _('Evote: Proposition begin notification')


class PropositionEndNotificationMail(BaseMailing):
    """ """
    template_name = 'mails/proposition_end_notification.html'
    subject = _('Evote: Proposition end notification')


class VotingBeginNotificationMail(BaseMailing):
    """ """
    template_name = 'mails/voting_begin_notification.html'
    subject = _('Evote: Voting begin notification')


class MinuteEndNotificationMail(BaseMailing):
    """ """
    template_name = 'mails/minute_end_notification.html'
    subject = _('Evote: Minute end notification')


class RollBeginNotificationMail(BaseMailing):
    """ """
    template_name = 'mails/roll_begin_notification.html'
    subject = _('Evote: Roll begin notification')


class RollEndNotificationMail(BaseMailing):
    """ """
    template_name = 'mails/roll_end_notification.html'
    subject = _('Evote: Roll end notification')
