from autofixture import create_one

from evotevotings.voters.models import ElectionVoter


class VotersTestUtils(object):

    def create_election_voter(self, **field_values):
        email = field_values.pop('email', None)
        password = field_values.pop('password', None)
        user = field_values.pop('user', None)
        if email and not user:
            field_values.update({
                'user': self.create_user(email=email, password=password)
            })
        return create_one(ElectionVoter, field_values=field_values,
                          generate_fk=True)
